Geany doesn't have a policy file

Bug #1767737 reported by Rob Peters on 2018-04-28
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Geany
New
Unknown
geany (Ubuntu)
Undecided
Unassigned

Bug Description

With the loss of gksu in Bionic one needs to use pkexec for root access geany editing. However, geany does not have a policy file. This needs to be added to the package

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE policyconfig PUBLIC
 "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/PolicyKit/1.0/policyconfig.dtd">
<policyconfig>

  <vendor>Geany</vendor>
  <vendor_url></vendor_url>
  <icon_name>geany</icon_name>

<action id="org.geany.pkexec">
   <description>Run Geany as root</description>
   <message>Authentication is required to run Geany as root.</message>
   <defaults>
      <allow_any>no</allow_any>
      <allow_inactive>auth_admin</allow_inactive>
      <allow_active>auth_admin</allow_active>
   </defaults>
   <annotate key="org.freedesktop.policykit.exec.path">/usr/bin/geany</annotate>
   <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
 </action>

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in geany (Ubuntu):
status: New → Confirmed
Changed in geany:
status: Unknown → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.